<?php
	include 'lib.php';
	error_reporting(10);
	if (!empty($_GET['search'])) {
		$search = $_GET['search'];
	}else{
		$search = '';
	}
?>

<!DOCTYPE html>
<html>
<head lang="cs">
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Terapeuti</title>

	<!-- CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="/style.css">

	<!-- JS -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
	<script src="map.js"></script>
	<script async defer src="https://maps.googleapis.com/maps/api/js?key=ZDE_BYL_API_KLIC&callback=initMap"></script>
</head>
<body>
	<div class="container-lg">
		<?=nav_menu("/");?>
		<div class="row my-4">
			<div class="col-12 col-md-5 col-lg-4 search gx-5">
				<h2 class="card-title mb-md-4">Vyhledat terapeuta</h2>
				<form method="GET" action="therapists">
					<div class="mb-4">
						<input class="form-control" list="search" name="search" value="<?=$search?>" autocomplete="off" placeholder="Jméno a příjmení">
					</div>
					<!--Poloha - příprava-->
					<div class="mb-4">
						<input name="place" disabled class="form-control" type="text" placeholder="Poloha">
					</div>
					<div class="">
						<button type="submit" class="btn px-4 btn-primary float-end">Vyhledat</button>
					</div>
					<?php $col[] = 'firstname'; $col[] = 'surname'; echo datalist('search', $col, 'users')?>
				</form>
			</div>
			<div class="col-12 col-md-7 col-lg-8 news gx-5">
				<h2 class="card-title my-3 mb-md-4 my-md-0">Novinky - články</h2>
				<?php echo show_news(); ?>
			</div>
		</div>

		<div class="row google">
			<div class="col gx-5">
				<div id="map" style="height: 400px;width: 100%;"></div>
			</div>
		</div>

		<div class="row register my-4">
			<div class="col-md-6 col-12 pr-0 gx-5 my-2 my-md-0 mx-auto">
				<div class="card">
					<div class="card-body">
						<h3 class="card-title">Jsem terapeut</h3>
						<p class="card-text">Jsem terapeut, psycholog, psychiatr, kouč, mediátor a <b>chci být více viděn.</b></p>
						<p class="card-text"></p>
						<a href="/register/#2" class="btn btn-primary w-md-50 d-block mx-auto">Zaregistrovat se</a>
					</div>
				</div>
			</div>
			
			<div class="col-md-6 col-12 gx-5 pl-0 my-2 my-md-0 mx-auto">
				<div class="card">
					<div class="card-body">
						<h3 class="card-title">Jsem klient</h3>
						<p class="card-text">Hledám terapeuta přímo pro mě a nebaví mě procházet několikery stránky.</p>
						<a href="/register" class="btn btn-primary w-md-50 d-block mx-auto">Zaregistrovat se</a>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php echo footer(); ?>
</body>
</html>
<script>
	function success(pos) {
		var crd = pos.coords;
		var lat = `${crd.latitude}`;
		console.log(lat);
		var lng = `${crd.longitude}`;
		$.post("/lenght.php", {lat: lat,lng: lng}).done(function(data){
		});
  }
</script>