<?php
	include '../lib.php';
	$id = $_SESSION['my_id'];
	$sql = "SELECT * FROM `users` WHERE `id` = $id";
		$sqlPriprava = $db->prepare($sql);
		$sqlPriprava->execute();
		$data = $sqlPriprava->fetchAll();

	$type_id = $data[0]['type'];
	$sql = "SELECT * FROM `type` WHERE `id` = $type_id";
		$sqlPriprava = $db->prepare($sql);
		$sqlPriprava->execute();
		$type_data = $sqlPriprava->fetchAll();

	$sql = "SELECT `therapy_id` FROM `meta_therapy_type` WHERE `user_id` = $id";
		$sqlPriprava = $db->prepare($sql);
		$sqlPriprava->execute();
		$meta_data_type = $sqlPriprava->fetchAll(PDO::FETCH_ASSOC);

	$sql = "SELECT `therapy_id` FROM `meta_therapy_focus` WHERE `user_id` = $id";
		$sqlPriprava = $db->prepare($sql);
		$sqlPriprava->execute();
		$meta_data_focus = $sqlPriprava->fetchAll(PDO::FETCH_ASSOC);

	$sql = "SELECT * FROM `ordinary_time` WHERE `user_id` = $id";
		$sqlPriprava = $db->prepare($sql);
		$sqlPriprava->execute();
		$ordinary_data = $sqlPriprava->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html>
<head>
	<title>Terapeuti - Úprava profilu</title>

	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="language" content="czech">

	<!-- CSS -->
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
		<link rel="stylesheet" type="text/css" href="/style.css">

	<!-- JS -->
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
</head>

<body>
	<div class="container">
		<div class="row">
			<div class="col-8 mx-auto">
				<div class="row">
					<img class="w-50 mx-auto mt-5 mb-4" src="/img/logo-350x75.png">
				</div>
				<div class="row">
					<form method="POST" action="upd_action.php">
						<div class="row">
							<div class="col">
								<div class="input-group mb-3">
									<input type="hidden" id="type" name="type" value="<?= $type_data[0]['id']?>">
									<label class="w-100 input-group-text text-end ps-5 fs-5 border-top-0 border-start-0 border-end-0 rounded-0 bg-white">Jsem: &nbsp;&nbsp;&nbsp;&nbsp;<?= $type_data[0]['name']?></label>
								</div>
								<div class="mb-3 form-floating">
									<input type="text" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="Jméno" name="firstname" value="<?=$data[0]['firstname']?>">
									<label>Jméno<small class="text-danger"> *</small></label>
								</div>
								<div class="mb-3 form-floating">
									<input type="text" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="Příjmení" name="surname" value="<?=$data[0]['surname']?>">
									<label>Příjmení<small class="text-danger"> *</small></label>
								</div>
								<div class="mb-3 form-floating">
									<input type="email" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="E-mail" name="email" value="<?=$data[0]['email']?>">
									<label>E-mail<small class="text-danger"> *</small></label>
								</div>
								<div class="mb-3 form-floating extra d-none">
									<input type="int" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="Telefon" name="telephone" value="<?=$data[0]['tel']?>">
									<label>Telefon<small class="text-danger"> *</small></label>
								</div>
							</div>
							<div class="col extra d-none">
								<input class="form-control form-control-lg border-top-0 border-start-0 border-end-0 rounded-0" value="<?=$data[0]['img']?>" accept="image/*" type="file" name="photo" onchange="previewFile()">
								<img id="preview" src="/img/example.jpg" style="max-height: 200px; max-width: 200px;" class="img-thumbnail mt-3 mx-auto d-block">
								<div class="switch-container">
									<input type="hidden" name="gender" class="toggle" value="<?=$data[0]['gender']?>">
									<?php 
										if ($data[0]['gender'] == 2) {
											echo '<button type="button" class="btn btn-lg btn-toggle active" data-toggle="button" aria-pressed="true" autocomplete="off">';
										}else{
											echo '<button type="button" class="btn btn-lg btn-toggle" data-toggle="button" aria-pressed="false" autocomplete="off">';
										}
									?>
									<div class="inner-handle"></div>
									<div class="handle"></div>
									</button>
								</div>
							</div>
						</div>
						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3 form-floating">
									<input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="text" placeholder="Ulice č.p., město, PSČ" name="address" value="<?=$data[0]['address']?>">
									<label>Adresa pracoviště<small class="text-danger"> *</small></label>
								</div>
							</div>
						</div>
						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3 form-floating">
									<input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="date" name="praxe" value="<?=$data[0]['praxe']?>">
									<label>Praxe od<small class="text-danger"> *</small></label>
								</div>
							</div>
							<div class="col">
								<div class="mb-3 form-floating">
									<select id="pojistovna" name="pojistovna_type" class="form-select border-top-0 border-start-0 border-end-0 rounded-0">
										<?php 
											if ($data[0]['gender'] == 2) {
												echo '<option value="1">Ano, hrazeno pojišťovnou</option>';
												echo '<option selected value="2">Ne, klient si hradí sám</option>';
											}else{
												echo '<option selected value="1">Ano, hrazeno pojišťovnou</option>';
												echo '<option value="2">Ne, klient si hradí sám</option>';
											}
										?>
									</select>
									<label for="floatingSelect">Hrazeno pojišťovnou:</label>
								</div>
							</div>
						</div>
						<div class="row pojistovna extra d-none">
							<div class="col-8 offset-1">
								<label class="form-label">Cena za terapii: </label>
								<input id="range" min="0" max="3000" step="10" value="<?=$data[0]['price']?>" type="range" class="form-range">
							</div>
							<div class="col-2">
								<br>
								<input id="price" type="number" value="<?=$data[0]['price']?>" min="0" class="mb-3 form-control border-top-0 border-start-0 border-end-0 rounded-0 w-75" name="price">
							</div>
						</div>
						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3 form-floating">
									<textarea name="info" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder=" " style="height: 100px"><?=$data[0]['info']?></textarea>
									<label>Informace</label>
								</div>
							</div>
						</div>
						<br>
						<div class="row extra d-none">
							<div class="col">
								<h5 class="fw-normal">Druhy terapií</h5>
								<ul class="list-group list-group-flush">
									<?php echo checkbox('therapy_type', $meta_data_type);?>
								</ul>
							</div>
							<div class="col">
								<h5 class="fw-normal">Zaměření terapií</h5>
								<ul class="list-group list-group-flush">
									<?php echo checkbox('therapy_focus', $meta_data_focus);?>
								</ul>
							</div>
						</div>

						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3">
									<label class="d-block mb-2 h5 fw-normal">Ordinační hodiny: </label>
									<div class="list">
										<?php
											$days = array(1 => 'Pondělí','Úterý','Středa','Čtvrtek','Pátek','Sobota','Neděle');
											foreach ($ordinary_data as $key_day => $val_day) {
												echo '<div class="record"><div class="col-2 d-inline-block"><select style="cursor: pointer;" class="form-select border-top-0 border-start-0 border-end-0 rounded-0" name="day[]">';
												foreach ($days as $key => $value) {
													if ($key == $val_day['day']) {
														echo '<option selected value="'.$key.'">'.$value.'</option>';
													}else{
														echo '<option value="'.$key.'">'.$value.'</option>';
													}
												}
												echo '</select></div><span class="ms-5 ps-3 me-2"> od: </span><div class="col-2 d-inline-block"><input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="time" value='.$val_day['from'].' name="from[]"></div><span class="ms-5 ps-4 me-2"> do: </span><div class="col-2 d-inline-block"><input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="time" value='.$val_day['to'].' name="to[]"></div><div class="col-2 d-inline-block"><button type="button" class="btn ms-10 p-0"><svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" fill="Red" class="bi bi-x cancel" viewBox="0 0 16 16"><path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/></svg></button></div></div>';
											}
										?>
									</div>
									<div class="col-2 d-inline-block">
										<button class="btn mt-3 p-0" type="button">
											<svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" fill="#00CC00" class="bi bi-plus-circle d-block d-lg-none" viewBox="0 0 16 16">
												<path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
												<path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
											</svg>
											<span class="fs-6 btn btn-primary add d-none d-lg-block">Přidat záznam</span>
										</button>
									</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-8 offset-2">
								<?php echo show_sess('reg_error', 'alert' ,'danger'); ?>
							</div>
						</div>
						<div class="row">
							<!--Nedodělané-->
							<button id="btn" type="submit" disabled class="btn btn-lg btn-primary w-50 mx-auto mb-5">Aktualizovat údaje</button>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</body>
</html>

<script>

$('.btn-toggle').click(function(){
	if ($(".toggle").val() == 1) {
		$('.toggle').val(2);
	}else{
		$('.toggle').val(1);
	}
});

$(document).ready(function(){

$('.add').click(function(){
	$(".list").append(
	'<div class="record"><div class="col-2 d-inline-block"><select style="cursor: pointer;" class="form-select border-top-0 border-start-0 border-end-0 rounded-0" name="day[]"><option value="1">Pondělí</option><option value="2">Úterý</option><option value="3">Středa</option><option value="4">Čtvrtek</option><option value="5">Pátek</option><option value="6">Sobota</option><option value="7">Neděle</option></select></div><span class="ms-5 ps-3 me-2"> od: </span><div class="col-2 d-inline-block"><input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="time" name="from[]"></div><span class="ms-5 ps-4 me-2"> do: </span><div class="col-2 d-inline-block"><input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="time" name="to[]"></div><div class="col-2 d-inline-block"><button type="button" class="btn ms-10 p-0"><svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" fill="Red" class="bi bi-x cancel" viewBox="0 0 16 16"><path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/></svg></button></div></div>');
});

$(".list").on('click', '.cancel', function(){
	$(this).parent().parent().parent().remove();
});

});

$( document ).ready(function() {
		previewFile();
});

function previewFile() {
	var preview = document.querySelector('#preview');
	var file    = document.querySelector('input[type=file]').files[0];
	var reader  = new FileReader();

	reader.onloadend = function () {
		preview.src = reader.result;
	}

	if (file) {
		reader.readAsDataURL(file);
	} else {
		preview.src = "/img/example.jpg";
	}
}

$('#pojistovna').on('change', function() {
	if (this.value != 1) {
		$(".pojistovna").removeClass("d-none");
	}else{
		$(".pojistovna").addClass("d-none")
	}
});

$('#pojistovna').ready(function() {
	if (this.value != 1) {
		$(".pojistovna").removeClass("d-none")
	}else{
		$(".pojistovna").addClass("d-none");
	}
});

$(document).on('input', '#range', function() {
	$('#price').val($(this).val());
});

$(document).on('input', '#price', function() {
	$('#range').val($(this).val());
});

$('#type').on('change', function() {
	if (this.value != 1) {
		$(".extra").removeClass("d-none");
	}else{
		$(".extra").addClass("d-none")
	}
});

$('#type').ready(function() {
	if ($("#type").val() != 1) {
		$(".extra").removeClass("d-none");
	}else{
		$(".extra").addClass("d-none");
	}
});

</script>