<?php
	session_start();
	include '../lib.php';
?>

<!DOCTYPE html>
<html>
<head>
	<title>Terapeuti - Přihlášení</title>

	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="language" content="czech">

	<!-- CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="style.css">

	<!-- JS -->
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>

<body>

<div class="container">
	<div class="row">
		<div class="col-md-8 col-md-offset-2">
			<div class="panel panel-login">
				<div class="panel-heading">
					<div class="row">
						<img class="w-50 mx-auto mt-5 mb-4" src="/img/logo-350x75.png">
					</div>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-lg-12">
							<form action="log_action.php" method="POST" style="display: block;">
								<div class="form-group">
									<input type="email" name="email" class="form-control" placeholder="E-mail" value= <?php echo show_sess('log_email', 'value')[0]?> >
								</div>
								<div class="form-group">
									<input type="password" name="psw" class="form-control" placeholder="Heslo">
								</div>
								<div>
									<a class="ms-5" href="/register">Nemám zatím účet</a>
								</div>
								<div class="form-group">
									<div class="row">
										<div class="col-sm-6 col-sm-offset-3">
											<input type="submit" class="form-control btn btn-primary" value="Přihlásit se">
										</div>
									</div>
								</div>
								<?php echo show_sess('log_error', 'alert' ,'danger'); ?>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>