<?php
	include '../../lib.php';
	$sql = "SELECT `id` FROM `users` ORDER BY `id` DESC LIMIT 1";
		$sqlPriprava = $db->prepare($sql);
		$sqlPriprava->execute();
		$data = $sqlPriprava->fetchAll();
?>

<!DOCTYPE html>
<html>
<head lang="cs">
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<title>Terapeuti</title>

	<!-- CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="/style.css">

	<!-- JS -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
</head>
<body>
	<div class="container-md">
		<div class="row">
			<div class="col-md-6">
				<?php echo show_therapist_detail($data[0]['id'], 'pay'); ?>
				<div class="col-md-6">
					<div class="card">
						<div class="card-body">
							<form id="form" method="POST" action="payment.php">
								<label class="form-check-label fw-bolder">Platba kartou</label><br>
								<input type="radio" name="method" value="CARD_CZ_CSOB_2" id="card" autocomplete="off"><img for="card" src="/img/comgate/CARD_ALL.png" class="logo"><hr>
								<label class="form-check-label fw-bolder">Odložená platba - Nakupte hned, zaplaťte později</label><br>
								<input type="radio" name="method" value="LATER_PLATIMPAK" id="later" autocomplete="off"><img for="later" data-original-title="Nakupte teď, zaplaťte později. Do 30 dnů bez navýšení, nebo si splátky rozložte na delší dobu. Schválení probíhá online do několika vteřin. Službu poskytuje Equa banka bez nutnosti založení běžného účtu. www.platimpak.cz" src="/img/comgate/LATER_PLATIMPAK.png" class="logo"><hr>
								<label class="form-check-label fw-bolder">Expresní bankovní převod</label><br>
								<input type="radio" name="method" autocomplete="off" value="BANK_CZ_CS_P" id="BANK_CZ_CS_P"><img for="BANK_CZ_CS_P" src="/img/comgate/BANK_CZ_CS_P.png" class="logo"><br>
								<input type="radio" name="method" autocomplete="off" value="BANK_CZ_KB" id="BANK_CZ_KB"><img for="BANK_CZ_KB" src="/img/comgate/BANK_CZ_KB.png" class="logo"><br>
								<input type="radio" name="method" autocomplete="off" value="BANK_CZ_MB_P" id="BANK_CZ_MB_P"><img for="BANK_CZ_MB_P" src="/img/comgate/BANK_CZ_MB_P.png" class="logo"><br>
								<input type="radio" name="method" autocomplete="off" value="BANK_CZ_RB" id="BANK_CZ_RB"><img for="BANK_CZ_RB" src="/img/comgate/BANK_CZ_RB.png" class="logo"><br>
								<input type="radio" name="method" autocomplete="off" value="BANK_CZ_UC" id="BANK_CZ_UC"><img for="BANK_CZ_UC" src="/img/comgate/BANK_CZ_UC.png" class="logo"><br>
								<input type="radio" name="method" autocomplete="off" value="BANK_CZ_CSOB" id="BANK_CZ_CSOB"><img for="BANK_CZ_CSOB" src="/img/comgate/BANK_CZ_CSOB.png" class="logo"><br>
								<a href="#" id="more">Zobrazit další banky</a><hr id="hr_more">
								<div class="extra d-none">
									<input type="radio" name="method" autocomplete="off" value="BANK_CZ_EB" id="BANK_CZ_EB"><img for="BANK_CZ_EB" src="/img/comgate/BANK_CZ_EB.png" class="logo"><br>
									<input type="radio" name="method" autocomplete="off" value="BANK_CZ_GE_2" id="BANK_CZ_GE_2"><img for="BANK_CZ_GE_2" src="/img/comgate/BANK_CZ_GE_2.png" class="logo"><br>
									<input type="radio" name="method" autocomplete="off" value="BANK_CZ_PS" id="BANK_CZ_PS"><img for="BANK_CZ_PS" src="/img/comgate/BANK_CZ_PS.png" class="logo"><br>
									<input type="radio" name="method" autocomplete="off" value="BANK_CZ_VB_2" id="BANK_CZ_VB_2"><img for="BANK_CZ_VB_2" src="/img/comgate/BANK_CZ_VB_2.png" class="logo"><br>
									<input type="radio" name="method" autocomplete="off" value="BANK_CZ_FB_P" id="BANK_CZ_FB_P"><img for="BANK_CZ_FB_P" src="/img/comgate/BANK_CZ_FB_P.png" class="logo"><br>
									<a href="#" id="less">Skrýt další banky</a><hr id="hr_less">
								</div>
								<label class="form-check-label fw-bolder">Standarní bankovní převod</label><br>
								<input type="radio" name="method" autocomplete="off" value="BANK_CZ_OTHER" id="BANK_CZ_OTHER"><img for="BANK_CZ_OTHER" src="/img/comgate/BANK_CZ_OTHER.png" class="logo"><br>
						</div>
					</div>
				</div>
				<div class="row align-items-center flex-column">
					<h3 class="w-25 text-center mt-5">Cena: <?= $_SESSION['subs_price'] ?> Kč</h3>
					<button class="btn btn-primary w-25">Zaplatit</button>
				</div>
			</div>
		</div>
	</div>
</body>
</html>

<script>
$('#more').on('click', function() {
	$(".extra").removeClass("d-none");
	$("#more").addClass("d-none");
	$("#hr_more").addClass("d-none");
});

$('#less').on('click', function() {
	$(".extra").addClass("d-none");
	$("#more").removeClass("d-none");
	$("#hr_more").removeClass("d-none");
});
</script>