<?php

	require_once dirname(__FILE__).'/common.php';

	try {
		//kontrola stavu transakce
		$paymentsProtocol->checkTransactionStatus($_POST);

		//kontrola v db
		$paymentsDatabase->checkTransaction(
			$paymentsProtocol->getTransactionStatusTransId(),
			$paymentsProtocol->getTransactionStatusRefId(),
			$paymentsProtocol->getTransactionStatusPrice(),
			$paymentsProtocol->getTransactionStatusCurrency()
		);

		//uložení stavu do db
		$paymentsDatabase->saveTransaction(
			$paymentsProtocol->getTransactionStatusTransId(),
			$paymentsProtocol->getTransactionStatusRefId(),
			$paymentsProtocol->getTransactionStatusPrice(),
			$paymentsProtocol->getTransactionStatusCurrency(),
			$paymentsProtocol->getTransactionStatus(),
			$paymentsProtocol->getTransactionFee()
		);

		//ok
		echo 'code=0&message=OK';
	}

	catch (Exception $e) {
		//chyba
		echo 'code=1&message='.urlencode($e->getMessage());
	}

?>